Skip to main content
Wan2.7

Wan 2.7 — Retrieve image result

Check Wan 2.7 image task status

GET
/tasks/{task_id}
cURL - Query task result
# Replace {task_id} with the task_id value returned by the previous API call. # task_id is valid for queries within 24 hours. curl -X GET https://dashscope-intl.aliyuncs.com/api/v1/tasks/{task_id} \ --header "Authorization: Bearer $DASHSCOPE_API_KEY"
{ "request_id": "43d9e959-25bc-4dc7-9888-xxxxxx", "output": { "task_id": "858cad55-4bdc-4ba3-ae6c-xxxxxx", "task_status": "SUCCEEDED", "submit_time": "2026-03-31 19:57:58.840", "scheduled_time": "2026-03-31 19:57:58.877", "end_time": "2026-03-31 19:58:11.563", "finished": true, "choices": [ { "finish_reason": "stop", "message": { "role": "assistant", "content": [ { "image": "https://dashscope-result-intl.oss-cn-singapore.aliyuncs.com/1xxx.png?Expires=xxx", "type": "image" } ] } } ] }, "usage": { "size": "2985*1405", "total_tokens": 18792, "image_count": 1, "output_tokens": 2, "input_tokens": 18790 } }
Query task status and results.

Polling strategy

Poll this endpoint with the returned task_id. We recommend polling every 5-10 seconds.

Important notes

  • URL expiration: Image URLs expire in 24 hours. Download promptly.
  • Task status flow: PENDINGRUNNINGSUCCEEDED or FAILED.
  • Other statuses: CANCELED (task canceled), UNKNOWN (invalid or expired task ID).
  • Task ID validity: Task IDs are valid for 24 hours. After the task ID expires, the status and results cannot be queried.
  • Avoid duplicate tasks: Use polling to retrieve results. Do not resubmit requests.

Authorizations

string
header
required

DashScope API Key. Create one in the Qwen Cloud console.

Path Parameters

string
required

Task identifier returned by the async task creation endpoint.

Response

200-application/json
string

Unique request identifier.

43d9e959-25bc-4dc7-9888-xxxxxx
object
object

Usage statistics. Only present when task_status is SUCCEEDED.